# Contributor Covenant Code of Conduct

_Please note: This has been modified by Sam Trenholme to forbid “Cancel
Culture” behavior when interacting with the MaraDNS community._

## Our Pledge

In the interest of fostering an open and welcoming environment, we as
contributors and maintainers pledge to making participation in our project
and our community a harassment-free experience for everyone, regardless
of age, body size, disability, ethnicity, sex characteristics, gender
identity and expression, level of experience, education, socio-economic
status, nationality, personal appearance, race, religion, or sexual
identity and orientation.

## Our Standards

Examples of behavior that contributes to creating a positive environment
include:

* Using welcoming and inclusive language
* Being respectful of differing viewpoints and experiences
* Gracefully accepting constructive criticism
* Focusing on what is best for the community
* Showing empathy towards other community members

Examples of unacceptable behavior by participants include:

* The use of sexualized language or imagery and unwelcome sexual attention or
  advances
* Trolling, insulting/derogatory comments, and personal or political attacks
* Public or private harassment
* Publishing others' private information, such as a physical or electronic
  address, without explicit permission
* Other conduct which could reasonably be considered inappropriate in a
  professional setting

## Other behavior guidelines

There is a cultural force called “cancel culture” where people are judged
too harshly for things they either did a long time ago when the behavior
may have been acceptable, things that can very well be false accusations,
jokes in bad taste, having a reasonable political opinion (even if we
do not agree with the opinion), or things no reasonable person would
consider unacceptable behavior.

That in mind, please do not do any of the following, regardless of
whether the accused is alive or dead:

* Please do not attack someone for something they did or believed a 
  long time ago, unless one can present solid evidence that the 
  alleged wrongdoer should had known the action (or belief) in 
  question was not OK *at the time*.  This is a fundamental human 
  right: People can not be tried for *Ex Post Facto* crimes.
* Please do not assume someone is guilty of a heinous or criminal act
  without proof beyond a reasonable doubt they did the act in question.
* Please do not assume that a poorly done joke has been done to actually
  denigrate a group of people without looking at the context of the joke,
  including when the joke was made and the reason for the joke.
* Please do not attack someone or assume someone is a terrible person 
  because they hold a political or other opinion one may disagree with, 
  unless a reasonable person would infer the political belief and/or 
  opinion in question is unacceptable.

It comes down to this: Any and all forums for discussing open source 
software I work on are not “social media” forums.  The purposes of any
and all community resources is to improve software, *not* to find
stuff to get worked up and angry about.

## Our Responsibilities

Project maintainers are responsible for clarifying the standards of acceptable
behavior and are expected to take appropriate and fair corrective action in
response to any instances of unacceptable behavior.

Project maintainers have the right and responsibility to remove, edit, or
reject comments, commits, code, wiki edits, issues, and other contributions
that are not aligned to this Code of Conduct, or to ban temporarily or
permanently any contributor for other behaviors that they deem inappropriate,
threatening, offensive, or harmful.

## Scope

This Code of Conduct applies both within project spaces and in public spaces
when an individual is representing the project or its community. Examples of
representing a project or community include using an official project e-mail
address, posting via an official social media account, or acting as an appointed
representative at an online or offline event. Representation of a project may be
further defined and clarified by project maintainers.

## Enforcement

Instances of abusive, harassing, or otherwise unacceptable behavior may be
reported by contacting the project team at https://www.linkedin.com/in/sam-trenholme/. All
complaints will be reviewed and investigated and will result in a response that
is deemed necessary and appropriate to the circumstances. The project team is
obligated to maintain confidentiality with regard to the reporter of an incident.
Further details of specific enforcement policies may be posted separately.

Project maintainers who do not follow or enforce the Code of Conduct in good
faith may face temporary or permanent repercussions as determined by other
members of the project's leadership.

## Attribution

This Code of Conduct is adapted from the [Contributor Covenant][homepage], version 1.4,
available at https://www.contributor-covenant.org/version/1/4/code-of-conduct.html

[homepage]: https://www.contributor-covenant.org

For answers to common questions about this code of conduct, see
https://www.contributor-covenant.org/faq

